Subject: Re: [mpls] MPLS working group last call on draft-ietf-mpls-lsp-ping-relay-reply

From: "[email-masked]" <[email-masked]>
Date: Wed, 1 Jul 2015 23:40:14 +0800

Hi,
Then in the document section 4.2, we could say:
One example of spanning two address domains is the ASBR node. Other cases are also possible, and out of the scope of this document. 

Regards
Lizhong
 
From: Adrian Farrel
Date: 2015-06-30 19:35
To: 'George Swallow \(swallow\)'; [email-masked]; 'loa'; 'mpls'; 'mpls-chairs'; 'draft-ietf-mpls-lsp-ping-relay-reply'; 'db3546'
Subject: RE: [mpls] MPLS working group last call on draft-ietf-mpls-lsp-ping-relay-reply
Thanks George,
 
[snip]
 
> >>> I tried to work out how things would pan out if two ASes on the path
> >>> used the same address space within their AS. Would an address appear in
> >>> the stack and seem to be routable when it is really an address in the
> >>> other AS?
> >> [Lizhong] we have an example in section 5. And address of P1 and P2
> >> could be same. In that case, ASBR1 must add its interface address
> >> facing ASBR2 with the K bit set. Then relay reply will not be miss-routed.
> >
> >Ah, I get it.
> >But this relies on ASBT1 setting the K bit.
> >So I suspect this needs to not be a special case: you need to require
> >that the domain boundary always sets the K bit.
> 
> GS>  I made such a change awhile back.  It got shot down on the list.
> There was push back due to the requirement for topological awareness
> within the LSP Ping module.
> 
> Adrian - If you want to try pushing back on that, would you send a message
> to the list on just this topic and see if we can convince folks.
 
Consider this to be the push-back! :-)
 
It seems that the domain boundary (probably just an ASBR?) either has to know
that some other domain in the path is using the same address space as it is
using, or it has to know that it is an ASBR. Without applying the K bit for one
of these criteria, the mechanism is broken.
 
I suggest that the former is hard to know, but the latter is easy and can be
injected into the "LSP Ping module". This is NOT topological awareness since it
does not do harm to have extra K bits set, so in the relatively rare case of an
ASBR being on the path of an LSP that does not actually exit the AS, no harm
will be done.
 
The authors may want to ask the chairs how they establish whether there is WG
agreement on this point.
 
Cheers,
Adrian